Package org.apache.sling.feature.extension.unpack.impl.installer

## Class InstallUnpackArchiveTask

- java.lang.Object
- - org.apache.sling.installer.api.tasks.InstallTask
  - - org.apache.sling.feature.extension.unpack.impl.installer.InstallUnpackArchiveTask

All Implemented Interfaces:
  `Comparable<org.apache.sling.installer.api.tasks.InstallTask>`

    public class InstallUnpackArchiveTask
    extends org.apache.sling.installer.api.tasks.InstallTask

### Field Summary

### Fields inherited from class org.apache.sling.installer.api.tasks.InstallTask

`ASYNC_ATTR_NAME`

### Constructor Summary

Constructors
`InstallUnpackArchiveTask​(org.apache.sling.installer.api.tasks.TaskResourceGroup erl, Unpack unpack, org.slf4j.Logger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute​(org.apache.sling.installer.api.tasks.InstallationContext ctx)`
`String` `getSortKey()`

### Methods inherited from class org.apache.sling.installer.api.tasks.InstallTask

`compareTo, equals, getResource, getResourceGroup, hashCode, isAsynchronousTask, setFinishedState, setFinishedState, setFinishedState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InstallUnpackArchiveTask

    public InstallUnpackArchiveTask​(org.apache.sling.installer.api.tasks.TaskResourceGroup erl,
                                    Unpack unpack,
                                    org.slf4j.Logger logger)

### Method Detail

#### execute

    public void execute​(org.apache.sling.installer.api.tasks.InstallationContext ctx)

Specified by:
  `execute` in class `org.apache.sling.installer.api.tasks.InstallTask`

#### getSortKey

    public String getSortKey()

Specified by:
  `getSortKey` in class `org.apache.sling.installer.api.tasks.InstallTask`